Skip to content
Pile
Esc
navigateopen⌘Jpreview

Get support escalation rule

GET/workspaces/{organizationId}/support/escalation-rules/{ruleId}
Path parameters
organizationIdstringrequired
ruleIdstringrequired
Responses
200Rule
ruleobjectrequired
Show properties
idstringrequired
organizationIdstringrequired
namestringrequired
isActivebooleanrequired
sortOrdernumberrequired
conditionsobjectrequired
Show properties
keywordsstring[]
channelsstring[]
prioritiesstring[]
statusesstring[]
sourcesstring[]
customerDomainsstring[]
actionobjectrequired
Show properties
typestringrequired
Allowed:create_issue
teamIdstring
prioritystring
Allowed:lowmediumhighurgent
statusstring
Allowed:triagebacklogtodoin_progressdonecanceled
labelIdsstring[]
createdAtstringrequired
updatedAtstringrequired
404Not found
Try it
Server
Parameters
Request
curl -X GET "/workspaces/string/support/escalation-rules/string"
Response
{
  "rule": {
    "id": "string",
    "organizationId": "string",
    "name": "string",
    "isActive": true,
    "sortOrder": 0,
    "conditions": {
      "keywords": [
        "string"
      ],
      "channels": [
        "email"
      ],
      "priorities": [
        "low"
      ],
      "statuses": [
        "todo"
      ],
      "sources": [
        "intercom"
      ],
      "customerDomains": [
        "string"
      ]
    },
    "action": {
      "type": "create_issue",
      "teamId": "string",
      "priority": "low",
      "status": "triage",
      "labelIds": [
        "string"
      ]
    },
    "createdAt": "string",
    "updatedAt": "string"
  }
}